// 用户信息
export interface IUserState {
  address: string
  avatar: string
  batch: string
  brief: string
  certificate_number: string
  certificate_url: string
  company: string
  created_operator: string
  created_time: string
  id: string
  id_number: string
  label: string[]
  mobile: string
  name: string
  need_receive: string
  notice_url: string
  position: string
  sso_id: string
  star: string
  status: string
  student_id: string
  type: string
  updated_operator: string
  updated_time: string
}

// 视频
export interface IVideoItem {
  id: string
  type: string
  type_name: string
  cover_page: string
  course_name: string
  aliyun_video_id: string
  pv: string
  play_info: any[]
}

// 课程
export interface ICourseItem {
  id: string
  curriculum_id: string
  weight: string
  status: string
  pv: string
  course_name: string
  course_picture: string
  course_represent: string
  course_lectures: Array<ICourseLecturerItem>
  records_total: number
  course_chapters: ICourseChapters
  star_total: number
  progress: number
}

export interface ICourseChapters {
  big_total: string
  small_total: string
  list: any[]
}

// 课程老师
export interface ICourseLecturerItem {
  lecturer_name: string
  lecturer_title: string
  lecturer_office: string
}

// 课程
export interface ITeam {
  id: string
  members_count: string
  name: string
  slogan: string
  star: string
}
export interface IRecommendCourse {
  cover: string
  id: string
  is_free: string
  is_free_name: string
  name: string
  pv: string
  weight: string
  url: string
}
export interface ITeacherList {
  avatar: string
  desc: string
  desc_type: string
  desc_type_name: string
  id: string
  name: string
  pv: string
  title: string
  url: string
  weight: string
  type: string
  type_name: string
  office: string
}
